﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3054: (1 year) VER IEEE /5522A+SC600
DATE:                  2017-03-08 12:43:05
AUTHOR:                Fluke
REVISION:              $Revision: 18563 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       198
CONFIGURATION:         Fluke 5522A
CONFIGURATION:         Fluke Ocal (600MHz)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5522A        Reset
  1.003  O_CAL        Mode = LeveledSine
  1.003  O_CAL        +Frequency = 600 MHz; Voltage = 1 Vpp
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.3.38"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  TARGET
  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  CALL         Sub Tek TDS3000/3000B IEEE-488 Interface
  1.018  JMPL         END                              @Abort
  1.019  CALL         Sub UUT Connection GPIB

  1.020  IEEE2        *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.023  MATH         @UUT_Manufacturer = "Tektronix"
  1.024  MATH         @UUT_Model        = "TDS 3054"
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.026  JMPL         END                           @Abort

  1.027  CALL         Sub Tek TDS3000 Check Firmware Version
  1.028  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   DCV GAIN (CH3)                     TRIGGER SENS (CH1)
#    6.   DCV GAIN (CH4)                     SAMPLE RATE
#    7.   BANDWIDTH (CH1)                    DCV GAIN (CH2)
#    8.   BANDWIDTH (CH2)                    BANDWIDTH (CH2)
#    9.   BANDWIDTH (CH3)                    TRIGGER SENS (CH2)
#    10.  BANDWIDTH (CH4)                    DCV GAIN (CH3)
#    11.  TRIGGER SENS (CH1)                 BANDWIDTH (CH3)
#    12.  TRIGGER SENS (CH2)                 TRIGGER SENS (CH3)
#    13.  TRIGGER SENS (CH3)                 DCV GAIN (CH4)
#    14.  TRIGGER SENS (CH4)                 BANDWIDTH (CH4)
#    15   SAMPLE RATE                        TRIGGER SENS (CH4)

  1.029  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.030  CALL         Sub Tek TDS3000 Signal Path Compensation Cal IEEE
  1.031  JMPL         END                           @Abort

  1.032  CALL         Sub Tek TDS3000 Self-Test IEEE
  1.033  JMPL         END                           @Abort

  1.034  DISP         Connect the 5520A Scope Out to UUT CH1.
  1.035  MATH         @Chan = 1
  1.036  CALL         Sub Tek TDS3000 (1 yr) DCV IEEE /5520+S6
  1.037  JMPL         BANDWIDTH_CH1

  1.038  LABEL        DCV_CH2
  1.039  DISP         Connect the 5520A Scope Out to UUT CH2.
  1.040  MATH         @Chan = 2
  1.041  CALL         Sub Tek TDS3000 (1 yr) DCV IEEE /5520+S6
  1.042  JMPL         BANDWIDTH_CH2

  1.043  LABEL        DCV_CH3
  1.044  DISP         Connect the 5520A Scope Out to UUT CH3.
  1.045  MATH         @Chan = 3
  1.046  CALL         Sub Tek TDS3000 (1 yr) DCV IEEE /5520+S6
  1.047  JMPL         BANDWIDTH_CH3

  1.048  LABEL        DCV_CH4
  1.049  DISP         Connect the 5520A Scope Out to UUT CH4.
  1.050  MATH         @Chan = 4
  1.051  CALL         Sub Tek TDS3000 (1 yr) DCV IEEE /5520+S6
  1.052  JMPL         BANDWIDTH_CH4

  1.053  LABEL        BANDWIDTH_CH1
  1.054  MATH         @Chan = 1
  1.055  CALL         Sub Tek TDS3000 (1 yr) Bandwidth IEEE /5520+S6
  1.056  JMPL         TRIG_CH1

  1.057  LABEL        BANDWIDTH_CH2
  1.058  MATH         @Chan = 2
  1.059  CALL         Sub Tek TDS3000 (1 yr) Bandwidth IEEE /5520+S6
  1.060  JMPL         TRIG_CH2

  1.061  LABEL        BANDWIDTH_CH3
  1.062  MATH         @Chan = 3
  1.063  CALL         Sub Tek TDS3000 (1 yr) Bandwidth IEEE /5520+S6
  1.064  JMPL         TRIG_CH3

  1.065  LABEL        BANDWIDTH_CH4
  1.066  MATH         @Chan = 4
  1.067  CALL         Sub Tek TDS3000 (1 yr) Bandwidth IEEE /5520+S6
  1.068  JMPL         TRIG_CH4

  1.069  LABEL        TRIG_CH1
  1.070  MATH         @Chan = 1
  1.071  CALL         Sub Tek TDS3000 (1 yr) Trig Sens IEEE /5520+S6
  1.072  JMPL         SAMPLE_RATE

  1.073  LABEL        TRIG_CH2
  1.074  MATH         @Chan = 2
  1.075  CALL         Sub Tek TDS3000 (1 yr) Trig Sens IEEE /5520+S6
  1.076  JMPL         DCV_CH3

  1.077  LABEL        TRIG_CH3
  1.078  MATH         @Chan = 3
  1.079  CALL         Sub Tek TDS3000 (1 yr) Trig Sens IEEE /5520+S6
  1.080  JMPL         DCV_CH4

  1.081  LABEL        TRIG_CH4
  1.082  MATH         @Chan = 4
  1.083  CALL         Sub Tek TDS3000 (1 yr) Trig Sens IEEE /5520+S6
  1.084  JMPL         END

  1.085  LABEL        SAMPLE_RATE
  1.086  MATH         @Chan = 1
  1.087  CALL         Sub Tek TDS3000 (1 yr) Sample Rate IEEE /5520+S6
  1.088  JMPL         DCV_CH2

  1.089  LABEL        END
  1.090  HEAD         -2

  1.091  IF           @Abort
  1.092  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.093  ELSE
  1.094  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.095  ENDIF

  1.096  END




